org.vertx.java.framework

## Class EventFields

- java.lang.Object
- - org.vertx.java.framework.EventFields

    public class EventFields
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `APP_READY_EVENT`
`static java.lang.String` `APP_STOPPED_EVENT`
`static java.lang.String` `ASSERT_EVENT`
`static java.lang.String` `ASSERT_MESSAGE_FIELD`
`static java.lang.String` `ASSERT_RESULT_FIELD`
`static java.lang.String` `ASSERT_RESULT_VALUE_FAIL`
`static java.lang.String` `ASSERT_RESULT_VALUE_PASS`
`static java.lang.String` `ASSERT_STACKTRACE_FIELD`
`static java.lang.String` `EXCEPTION_EVENT`
`static java.lang.String` `EXCEPTION_MESSAGE_FIELD`
`static java.lang.String` `EXCEPTION_STACKTRACE_FIELD`
`static java.lang.String` `START_TEST_EVENT`
`static java.lang.String` `START_TEST_NAME_FIELD`
`static java.lang.String` `TEST_COMPLETE_EVENT`
`static java.lang.String` `TEST_COMPLETE_NAME_FIELD`
`static java.lang.String` `TRACE_EVENT`
`static java.lang.String` `TRACE_MESSAGE_FIELD`
`static java.lang.String` `TYPE_FIELD`

### Constructor Summary

Constructors
Constructor and Description
`EventFields()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_FIELD

    public static final java.lang.String TYPE_FIELD

See Also:
  Constant Field Values

#### EXCEPTION_EVENT

    public static final java.lang.String EXCEPTION_EVENT

See Also:
  Constant Field Values

#### EXCEPTION_MESSAGE_FIELD

    public static final java.lang.String EXCEPTION_MESSAGE_FIELD

See Also:
  Constant Field Values

#### EXCEPTION_STACKTRACE_FIELD

    public static final java.lang.String EXCEPTION_STACKTRACE_FIELD

See Also:
  Constant Field Values

#### TRACE_EVENT

    public static final java.lang.String TRACE_EVENT

See Also:
  Constant Field Values

#### TRACE_MESSAGE_FIELD

    public static final java.lang.String TRACE_MESSAGE_FIELD

See Also:
  Constant Field Values

#### ASSERT_EVENT

    public static final java.lang.String ASSERT_EVENT

See Also:
  Constant Field Values

#### ASSERT_RESULT_FIELD

    public static final java.lang.String ASSERT_RESULT_FIELD

See Also:
  Constant Field Values

#### ASSERT_RESULT_VALUE_PASS

    public static final java.lang.String ASSERT_RESULT_VALUE_PASS

See Also:
  Constant Field Values

#### ASSERT_RESULT_VALUE_FAIL

    public static final java.lang.String ASSERT_RESULT_VALUE_FAIL

See Also:
  Constant Field Values

#### ASSERT_MESSAGE_FIELD

    public static final java.lang.String ASSERT_MESSAGE_FIELD

See Also:
  Constant Field Values

#### ASSERT_STACKTRACE_FIELD

    public static final java.lang.String ASSERT_STACKTRACE_FIELD

See Also:
  Constant Field Values

#### APP_READY_EVENT

    public static final java.lang.String APP_READY_EVENT

See Also:
  Constant Field Values

#### APP_STOPPED_EVENT

    public static final java.lang.String APP_STOPPED_EVENT

See Also:
  Constant Field Values

#### TEST_COMPLETE_EVENT

    public static final java.lang.String TEST_COMPLETE_EVENT

See Also:
  Constant Field Values

#### TEST_COMPLETE_NAME_FIELD

    public static final java.lang.String TEST_COMPLETE_NAME_FIELD

See Also:
  Constant Field Values

#### START_TEST_EVENT

    public static final java.lang.String START_TEST_EVENT

See Also:
  Constant Field Values

#### START_TEST_NAME_FIELD

    public static final java.lang.String START_TEST_NAME_FIELD

See Also:
  Constant Field Values

### Constructor Detail

#### EventFields

    public EventFields()